## QmiClientOma

QmiClientOma — QmiClient for the OMA service.

## Signals

void | event-report | Run Last

## Types and Values

struct | QmiClientOma

## Object Hierarchy

        GObject
        ╰── QmiClient
            ╰── QmiClientOma

## Description

QmiClient which handles operations in the OMA service.

## Functions

## Types and Values

### struct QmiClientOma

    struct QmiClientOma;

The QmiClientOma structure contains private data and should only be accessed using the provided API.

Since: 1.6

## Signal Details

### The `“event-report”` signal

    void
    user_function (QmiClientOma                      *object,
                   QmiIndicationOmaEventReportOutput *output,
                   gpointer                           user_data)

The ::event-report signal gets emitted when a 'Event Report' indication is received.

#### Parameters

object | A QmiClientOma. |
output | A QmiIndicationOmaEventReportOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.6